Skip to content

Category

5 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.

GET /api/v1/categories

List all Categories.

Authentication: Authorization header (ApiKeyAuth)

Responses

StatusDescriptionSchema
200OKroute.APIResponse

POST /api/v1/categories

Create a Category.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
categorybodyapp.CategoryYesCategory to create

Responses

StatusDescriptionSchema
200OKroute.APIResponse

DELETE /api/v1/categories/{id}

Delete a Category by name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesCategory name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

GET /api/v1/categories/{id}

Get a Category by name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesCategory name

Responses

StatusDescriptionSchema
200OKroute.APIResponse

PATCH /api/v1/categories/{id}

Update a Category by name.

Authentication: Authorization header (ApiKeyAuth)

Parameters

NameLocationTypeRequiredDescription
idpathstringYesCategory name
categorybodyapp.CategoryYesCategory settings

Responses

StatusDescriptionSchema
200OKroute.APIResponse